net.sourceforge.pmd.lang.java.rule.design

## Class UncommentedEmptyConstructorRuleTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.testframework.SimpleAggregatorTst
    - - net.sourceforge.pmd.lang.java.rule.design.UncommentedEmptyConstructorRuleTest

-     public class UncommentedEmptyConstructorRuleTest
      extends SimpleAggregatorTst

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

      `SimpleAggregatorTst.CustomXmlTestClassMethodsRunner`

  - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

      `DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UncommentedEmptyConstructorRuleTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `void` | `testDefault()`
    `void` | `testIgnoredConstructorInvocation()`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.SimpleAggregatorTst

      `addRule, runTests, runTests, runTests, testAll`

    - ### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

      `extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UncommentedEmptyConstructorRuleTest

          public UncommentedEmptyConstructorRuleTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testDefault

          public void testDefault()

    - #### testIgnoredConstructorInvocation

          public void testIgnoredConstructorInvocation()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.